<template>
  <v-navigation-drawer
       permanent
       expand-on-hover rail>
    <v-list>
      <v-list-item>
        <v-img
            src="@/assets/images/davicorp_logo.png"
            alt="Phan Hoàng vũ"
          ></v-img>
      </v-list-item>
    </v-list>
    <v-divider></v-divider>
    <v-list density="compact" nav>
      <router-link :to="{name:'home'}" style="display: inline-block;text-decoration:none;color:black">
        <v-list-item
          prepend-icon="mdi-folder"
          title="Nhập file báo giá"
          value="importFile"
        ></v-list-item>
      </router-link>
      <router-link v-if="checkLogin"  :to="{name:'home'}" @click="logout()" style="display: inline-block;text-decoration:none;color:black" >
        <v-list-item
          prepend-icon="mdi-export"
          title="Đăng xuất"
          value="logout"
        ></v-list-item>
      </router-link>
      <!-- <router-link v-else :to="{name:'login'}" style="display: inline-block;text-decoration:none;color:black">
        <v-list-item
          prepend-icon="mdi-import"
          title="Đăng nhập"
          value="login"
        ></v-list-item>
      </router-link> -->
    </v-list>
  </v-navigation-drawer>
</template>

<script>
import { useCookies} from 'vue3-cookies'
import { ref } from 'vue'
export default {
  setup(){
    const {cookies} = useCookies();
    const checkLogin = ref(false)
    const token = cookies.get('token')

    if(token){
      checkLogin.value = true
    }
    function logout(){
      cookies.remove('token');
      checkLogin.value = false
    }
    return {cookies,checkLogin,logout}
  },
  // data() {
  //   return {
  //     checkLogin: false,
  //   }
  // },
  // created(){
  //   let token = this.cookies.get('token');
  //   if(token){
  //     this.checkLogin = true;
  //   }
  // },
  // methods:{
  //   logout(){
  //     this.cookies.remove('token')
  //     this.checkLogin = false
  //   }
  // }
}
</script>